<template>
  <div class="inObject">
    <div :class="shape">
      <span class="text">
        {{ weight }} kg
      </span>
    </div>
  </div>
</template>

<script>
export default {
  name: 'in-object',
  props: {
    shape: {
      type: String,
      required: true
    },
    weight: {
      type: Number,
      required: true
    }
  }
}
</script>

<style lang="scss" scoped>
.circle, .square, .triangle {
  display: block;
  color: white;
  text-align: center;
  .text {
    font-size: 12px;
  }
}
.circle {
  width: 50px;
  height: 50px;
  background-color:red;
  border-radius: 50px;
  line-height: 50px;
}
.square {
  height: 50px;
  width: 50px;
  background-color:green;
  line-height: 50px;
}
.triangle {
  position: relative;
  width: 0;
  height: 0;
  border: 25px solid transparent;
  border-bottom-width: 50px;
  border-top: none;
  border-bottom-color:blue;
  white-space: nowrap;
  line-height: 70px;
  .text {
    position: absolute;
    top: 0;
    left: 0;
    transform: translateX(-50%);
  }
}
</style>